"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const style = require("./style.js");
const styledComponents_browser_esm = require("../../node_modules/styled-components/dist/styled-components.browser.esm.js");
const jsxRuntime = require("../../_virtual/jsx-runtime.js");
const A = styledComponents_browser_esm.default.button`
  color: red;
`;
const Button = ({
  primary = false,
  size = "medium",
  backgroundColor,
  label,
  ...props
}) => {
  const mode = primary ? "storybook-button--primary" : "storybook-button--secondary";
  return /* @__PURE__ */ jsxRuntime.jsxs(jsxRuntime.Fragment, {
    children: [/* @__PURE__ */ jsxRuntime.jsx(style, {}), /* @__PURE__ */ jsxRuntime.jsx(A, {
      type: "button",
      className: ["storybook-button", `storybook-button--${size}`, mode].join(" "),
      style: {
        backgroundColor
      },
      ...props,
      children: label
    })]
  });
};
exports.Button = Button;
