import ButtonStyle from "./style.js";
import styled from "../../node_modules/styled-components/dist/styled-components.browser.esm.js";
import { jsxs, Fragment, jsx } from "../../_virtual/jsx-runtime.js";
const A = styled.button`
  color: red;
`;
const Button = ({
  primary = false,
  size = "medium",
  backgroundColor,
  label,
  ...props
}) => {
  const mode = primary ? "storybook-button--primary" : "storybook-button--secondary";
  return /* @__PURE__ */ jsxs(Fragment, {
    children: [/* @__PURE__ */ jsx(ButtonStyle, {}), /* @__PURE__ */ jsx(A, {
      type: "button",
      className: ["storybook-button", `storybook-button--${size}`, mode].join(" "),
      style: {
        backgroundColor
      },
      ...props,
      children: label
    })]
  });
};
export {
  Button
};
